##
##  xmlcatmgr.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_dist 2.2
%define       V_opkg 2.2

#   package information
Name:         xmlcatmgr
Summary:      XML/SGML Catalog Manager
URL:          http://xmlcatmgr.sourceforge.net/
Vendor:       Julio M. Merino Vidal
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        XML
License:      GPL
Version:      %{V_opkg}
Release:      20080101

#   list of sources
Source0:      http://download.sourceforge.net/xmlcatmgr/xmlcatmgr-%{V_dist}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, gcc
PreReq:       OpenPKG, openpkg >= 20160101

%description
    XML Catalog Manager (xmlcatmgr) is a small utility used to
    manipulate SGML and XML catalogs. It allows adding and removing
    entries from catalogs, in a completely automated way.

%track
    prog xmlcatmgr = {
        version   = %{V_dist}
        url       = http://sourceforge.net/projects/xmlcatmgr/files/
        regex     = xmlcatmgr-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n xmlcatmgr-%{V_dist}

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    DEFAULT_CATALOG_XML="%{l_prefix}/share/sgml/catalog.xml" \
    DEFAULT_CATALOG_SGML="%{l_prefix}/share/sgml/catalog.sgml" \
    ./configure \
        --prefix=%{l_prefix} \
        --exec-prefix=%{l_prefix}
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} DESTDIR=$RPM_BUILD_ROOT install
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

